## cctbx 2021.12%2Bds1

=== debian/changelog ===
cctbx (2021.12+ds1-4ubuntu1) jammy; urgency=medium

  * Re-enable build on riscv64, which was silently dropped

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 31 Mar 2022 07:21:53 +0000

cctbx (2021.12+ds1-4) unstable; urgency=medium

  * Use sysconfig to obtain path to boost_python to avoid needing the
    python version in the system_libs patch in boost_adaptbx/SConsscript
    (Closes: #1008520)

 -- Neil Williams <codehelp@debian.org>  Tue, 29 Mar 2022 10:16:15 +0100

cctbx (2021.12+ds1-3) unstable; urgency=medium

  * Apply patch from reproducible builds: Timestamps embedded in
    boost_python_meta_ext.so.0.0.1 (Closes: #1006252)

 -- Neil Williams <codehelp@debian.org>  Thu, 03 Mar 2022 09:36:43 +0000

cctbx (2021.12+ds1-2) unstable; urgency=medium

  * Source only upload

 -- Neil Williams <codehelp@debian.org>  Sun, 13 Feb 2022 08:27:32 +0000

cctbx (2021.12+ds1-1) unstable; urgency=medium

  * Add missing scitbx header files
  * New upstream release.

 -- Neil Williams <codehelp@debian.org>  Thu, 27 Jan 2022 14:13:37 +0000

cctbx (2021.8+ds2-1) unstable; urgency=low

  * Initial release (Closes: #679905)

 -- Neil Williams <codehelp@debian.org>  Thu, 09 Dec 2021 09:56:20 +0000
