=== debian/control ===
Source: cctbx
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Neil Williams <codehelp@debian.org>,
 Picca Frédéric-Emmanuel <picca@debian.org>,
 Radostan Riedel <raybuntu@googlemail.com>,
Section: science
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-exec,
 dh-python,
 jq,
 python3-all-dev:any,
 scons,
 liblz4-dev,
 libexpat1-dev,
 libfftw3-dev,
 libcbf-dev,
 libann-dev,
 libclipper-dev,
 libantlr3c-dev,
 libboost-dev,
 libboost-python-dev,
 libboost-thread-dev,
 libboost-numpy-dev,
 libtool,
 libeigen3-dev,
 python3-numpy,
 python3-setuptools,
 python3-matplotlib,
 python3-biopython,
 python3-psutil,
 python3-msgpack,
 python3-six,
 python3-future,
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/science-team/cctbx
Vcs-Git: https://salsa.debian.org/science-team/cctbx.git
Homepage: https://github.com/cctbx/cctbx_project
Rules-Requires-Root: no

Package: libcctbx0
Architecture: amd64 arm64 armel armhf i386 ppc64 ppc64el s390x riscv64
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Computational Crystallography Toolbox
 Computational Crystallography Toolbox contains following modules:
    boost_adaptbx: wrappers for Boost functionality in CCTBX
    cctbx: Libraries for general crystallographic applications,
      useful for both small-molecule and macro-molecular
      crystallography.
    crys3d: Modules for the display of molecules, electron density,
      and reciprocal space data.
    fable: Fortran EMulation library  for porting Fortran77 to C++.
    iotbx: Working with common crystallographic file formats.
    omptbx: OpenMP interface.
    scitbx: General scientific calculations. his includes a family of
      high-level C++ array types, a fast Fourier transform library,
      and a C++ port of the popular L-BFGS quasi-Newton minimizer.
    smtbx: Small-Molecule crystallography.
    wxtbx: wxPython controls used in the Phenix GUI and various
        utilities

Package: libcctbx-dev
Architecture: amd64 arm64 armel armhf i386 ppc64 ppc64el s390x riscv64
Depends: libcctbx0 (= ${binary:Version}), ${misc:Depends},
Section: devel
Description: Computational Crystallography Toolbox (headers)
 Header files for packages using cctbx shared libraries supporting
 the cctbx, cbflib, scitbx, crys3d, libtbx, iotbx, wxtbx and smtbx
 modules.

Package: python3-cctbx
Architecture: amd64 arm64 armel armhf i386 ppc64 ppc64el s390x riscv64
Section: python
Depends:
 libcctbx0 (= ${binary:Version}),
 ca-certificates,
 ${python3:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Description: Python Toolbox for crystallography
 Python Modules for crystallographic applications, useful for both
 small-molecule and macro-molecular crystallography and modules for
 general scientific calculations.
