## cctbx 2021.12+ds1

=== debian/changelog ===
cctbx (2021.12+ds1-7) unstable; urgency=medium

  * Added the boost_adaptbx module for dxtbx
  * Added d/libcctbx-dev.links
  * d/t/control: run test only with python 3.10 for now
  * d/setup.py: do not instal deprecated module boost (Closes: #1014941)
  * s/setup.py: use the right wx -> wxPython dependency
  * d/rules: Install all headers using rsync

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 15 Jul 2022 16:29:26 +0200

cctbx (2021.12+ds1-6) unstable; urgency=medium

  * d/rules: make the build verbose
  * d/p/adding-setup.py.patch: removed setup.py is now in the debian directory
  * d/setup.py: a simpler version in order to install all python modules.
  * d/rules: use pybuild to install the generated files (scripts, librariers,
    extensions)
  * d/control: Added B-D python3-wxgtk4.0
  * d/rules: install the /usr/share/cctbx files
  * d/rules: use nproc instread of dh_assistant for backport
  * d/t/control: Adding first autopkgtest

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 13 Jul 2022 15:01:47 +0200

cctbx (2021.12+ds1-5) unstable; urgency=medium

  * Team upload.
  * Enable riscv64 build (Closes: #1009191).
  * Trim trailing whitespace.

 -- Andrius Merkys <merkys@debian.org>  Mon, 02 May 2022 01:51:34 -0000
