=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: cctbx
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
  Neil Williams <codehelp@debian.org>,
  Picca Frédéric-Emmanuel <picca@debian.org>,
@@ -12,29 +11,31 @@
  dh-exec,
  dh-python,
  jq,
- python3-all-dev:any,
- scons,
- liblz4-dev,
+ libann-dev,
+ libantlr3c-dev,
+ libboost-dev,
+ libboost-numpy-dev,
+ libboost-python-dev,
+ libboost-thread-dev,
+ libcbf-dev,
+ libclipper-dev,
+ libeigen3-dev,
  libexpat1-dev,
  libfftw3-dev,
- libcbf-dev,
- libann-dev,
- libclipper-dev,
- libantlr3c-dev,
- libboost-dev,
- libboost-python-dev,
- libboost-thread-dev,
- libboost-numpy-dev,
+ liblz4-dev,
  libtool,
- libeigen3-dev,
+ python3-all-dev:any,
+ python3-biopython,
+ python3-future,
+ python3-matplotlib,
+ python3-msgpack,
  python3-numpy,
+ python3-psutil,
  python3-setuptools,
- python3-matplotlib,
- python3-biopython,
- python3-psutil,
- python3-msgpack,
  python3-six,
- python3-future,
+ python3-wxgtk4.0,
+ rsync,
+ scons,
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/science-team/cctbx
 Vcs-Git: https://salsa.debian.org/science-team/cctbx.git
@@ -42,10 +43,11 @@
 Rules-Requires-Root: no
 
 Package: libcctbx0
-Architecture: amd64 arm64 armel armhf i386 ppc64 ppc64el s390x riscv64
+Architecture: amd64 arm64 armel armhf i386 ppc64 ppc64el riscv64 s390x
 Section: libs
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: Computational Crystallography Toolbox
  Computational Crystallography Toolbox contains following modules:
     boost_adaptbx: wrappers for Boost functionality in CCTBX
@@ -65,8 +67,10 @@
         utilities
 
 Package: libcctbx-dev
-Architecture: amd64 arm64 armel armhf i386 ppc64 ppc64el s390x riscv64
-Depends: libcctbx0 (= ${binary:Version}), ${misc:Depends},
+Architecture: amd64 arm64 armel armhf i386 ppc64 ppc64el riscv64 s390x
+Depends:
+ libcctbx0 (= ${binary:Version}),
+ ${misc:Depends},
 Section: devel
 Description: Computational Crystallography Toolbox (headers)
  Header files for packages using cctbx shared libraries supporting
@@ -74,13 +78,13 @@
  modules.
 
 Package: python3-cctbx
-Architecture: amd64 arm64 armel armhf i386 ppc64 ppc64el s390x riscv64
+Architecture: amd64 arm64 armel armhf i386 ppc64 ppc64el riscv64 s390x
 Section: python
 Depends:
+ ca-certificates,
  libcctbx0 (= ${binary:Version}),
- ca-certificates,
+ ${misc:Depends},
  ${python3:Depends},
- ${misc:Depends},
  ${shlibs:Depends},
 Description: Python Toolbox for crystallography
  Python Modules for crystallographic applications, useful for both
