=== debian/tests/control ===
Test-Command: set -efu
 ; cp -r . "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 3.10 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py /usr/lib/python3/dist-packages/libtbx/command_line/run_tests_parallel.py  module=cctbx
 ; done
Depends:
 python3-all,
 python3-cctbx,
Restrictions: allow-stderr, skip-not-installable
