## cctbx 2022.7+ds2

=== debian/changelog ===
cctbx (2022.7+ds2-1build2) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as supported

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 03 Nov 2022 18:47:03 +0000

cctbx (2022.7+ds2-1build1) kinetic; urgency=medium

  * No-change rebuild to pick up fixed libboost-python dependencies

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 03 Sep 2022 13:06:01 +0000

cctbx (2022.7+ds2-1) unstable; urgency=medium

  * New upstream version 2022.7+ds2
  * More modules activated
    - cbflib_adaptbx
  * d/p/refresh the patch series
  * d/control: Added B-D python3-scipy to fix the autopkgtest
  * d/p/0010-fix-cbflib_adaptbx-compilation-with-the-system-cbfli.patch
    - Modity to avoid building the local cbf and pycbf binaries
    - build a cbf-private shared library with the extra cbf files

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 10 Aug 2022 16:15:42 +0200

cctbx (2021.12+ds1-8) unstable; urgency=medium

  * More modules activated
    - annlib_adaptbx
    - ccp4io
    - ccp4io_adaptbx
    - fable
    - mmtbx
  * Added missing Python extensions
    - iotbx_cif_ext
    - iotbx_mtz_ext
  * d/t/control: start autopkgtest from an empty directory
  * d/rules: activated --enable_cxx11
  * d/rules: install libtbx_env under /usr/lib/cctbx/pythonX.Y
  * Bug fix: "FTBFS: dpkg-buildpackage: error: dpkg-source -b . subprocess
    returned exit status 2", thanks to Lucas Nussbaum (Closes: #1016324).
  * Bug fix: "autopkgtest failure: Please run this program in an empty
    directory.", thanks to Paul Gevers (Closes: #1016499).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 09 Aug 2022 17:44:07 +0200
