=== debian/control ===
--- 
+++ 
@@ -23,6 +23,7 @@
  libexpat1-dev,
  libfftw3-dev,
  liblz4-dev,
+ libssm-dev,
  libtool,
  python3-all-dev:any,
  python3-biopython,
@@ -31,7 +32,9 @@
  python3-msgpack,
  python3-numpy,
  python3-psutil,
+ python3-pytest <!nocheck>,
  python3-setuptools,
+ python3-scipy,
  python3-six,
  python3-wxgtk4.0,
  rsync,
