=== debian/tests/control ===
Test-Command: set -efu
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py /usr/lib/python3/dist-packages/libtbx/command_line/run_tests_parallel.py module=annlib_adaptbx module=boost_adaptbx module=cctbx module=cma_es module=fable module=iotbx module=libtbx module=scitbx module=smtbx nproc=$(nproc)
# module=cbflib_adaptbx module=glxtbx module=rstbx module=spotfinder
 ; done
Depends:
 python3-all,
 python3-cctbx,
 python3-pytest,
Restrictions: allow-stderr, skip-not-installable
