## cctbx 2022.9%2Bds2%2B~3.11.2%2Bds1

=== debian/control ===
Source: cctbx
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Neil Williams <codehelp@debian.org>,
 Picca Frédéric-Emmanuel <picca@debian.org>,
 Radostan Riedel <raybuntu@googlemail.com>,
Section: science
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-exec,
 dh-python,
 dh-sequence-numpy3,
 dh-sequence-python3,
 jq,
 libann-cctbx-dev (>= 1.1.2+doc-9~),
 libantlr3c-dev,
 libboost-dev,
 libboost-numpy-dev,
 libboost-python-dev,
 libboost-thread-dev,
 libcbf-dev (>= 0.9.7+dfsg1-2~),
 libclipper-dev,
 libeigen3-dev,
 libexpat1-dev,
 libfftw3-dev,
 libgl-dev,
 libglu1-mesa-dev,
 libhdf5-dev,
 liblz4-dev,
 libssm-dev,
 libtiff-dev,
 libtool,
 pybind11-dev,
 python3-all-dev:any,
 python3-biopython,
 python3-future,
 python3-h5py (>= 3) <!nocheck>,
 python3-matplotlib,
 python3-mrcfile,
 python3-msgpack,
 python3-numpy,
 python3-pint,
 python3-pip,
 python3-procrunner,
 python3-psutil,
 python3-pycbf (>= 0.9.7+dfsg1-2~),
 python3-pymol,
 python3-pytest <!nocheck>,
 python3-requests,
 python3-scipy,
 python3-setuptools,
 python3-six,
 python3-tqdm <!nocheck>,
 python3-wxgtk4.0,
 rsync,
 scons,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/science-team/cctbx
Vcs-Git: https://salsa.debian.org/science-team/cctbx.git
Homepage: https://github.com/cctbx/cctbx_project
Rules-Requires-Root: no

Package: libcctbx0
Architecture: amd64 arm64 armel armhf i386 ppc64 ppc64el riscv64 s390x
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Computational Crystallography Toolbox - runtime libraries
 Computational Crystallography Toolbox contains following modules:
    - annlib_adaptbx:
    - boost_adaptbx: wrappers for Boost functionality in CCTBX
    - cbflib_adaptbx:
    - ccp4io_adaptbx:
    - cctbx: Libraries for general crystallographic applications,
             useful for both small-molecule and macro-molecular
             crystallography.
    - cma_es:
    - crys3d: Modules for the display of molecules, electron density,
              and reciprocal space data.
    - dxtbx: The Diffraction Image Toolbox, a library for handling
             X-ray detector data of arbitrary complexity from a variety
             of standard formats.
    - fable: Fortran EMulation library  for porting Fortran77 to C++.
    - gltbx: Python bindings for OpenGL
    - iotbx: Working with common crystallographic file formats.
    - libtbx: The build system common to all other modules. This includes
              a very thin wrapper around the SCons software construction tool.
              It also contains many useful frameworks and utilities to simplify
              application development, including tools for regression testing,
              parallelization across multiprocessor systems and managed clusters,
              and a flexible, modular configuration syntax called PHIL
              (Python Hierarchial Interface Language) used throughout the CCTBX.
    - mmtbx: Functionality specific to macromolecular crystallography.
             This includes all of the machinery required for setup of
             geometry restraints, bulk solvent correction and scaling,
             analysis of macromolecular diffraction data, calculation of
             weighted map coefficients, and most of the methods implemented
             in phenix.refine. The majority of infrastructure for the MolProbity
             validation server (and Phenix equivalent) is also located here.
    - omptbx: OpenMP interface.
    - rstbx: A reciprocal space toolbox to autoindex small molecule Bragg
             diffraction, given the reciprocal space vectors.
    - scitbx: General scientific calculations. his includes a family of
      high-level C++ array types, a fast Fourier transform library,
      and a C++ port of the popular L-BFGS quasi-Newton minimizer.
    - smtbx: Small-Molecule crystallography.
    - spotfinder:
    - tbxx:
    - wxtbx: wxPython controls used in the Phenix GUI and various
        utilities
 .
 This package provide the cctbx runtime libraries.

Package: libcctbx-dev
Architecture: amd64 arm64 armel armhf i386 ppc64 ppc64el riscv64 s390x
Depends:
 libann-cctbx-dev,
 libboost-python-dev,
 libccp4-dev,
 libcctbx0 (= ${binary:Version}),
 ${misc:Depends},
Section: devel
Description: Computational Crystallography Toolbox - headers
 Computational Crystallography Toolbox contains following modules:
    - annlib_adaptbx:
    - boost_adaptbx: wrappers for Boost functionality in CCTBX
    - cbflib_adaptbx:
    - ccp4io_adaptbx:
    - cctbx: Libraries for general crystallographic applications,
             useful for both small-molecule and macro-molecular
             crystallography.
    - cma_es:
    - crys3d: Modules for the display of molecules, electron density,
              and reciprocal space data.
    - dxtbx: The Diffraction Image Toolbox, a library for handling
             X-ray detector data of arbitrary complexity from a variety
             of standard formats.
    - fable: Fortran EMulation library  for porting Fortran77 to C++.
    - gltbx: Python bindings for OpenGL
    - iotbx: Working with common crystallographic file formats.
    - libtbx: The build system common to all other modules. This includes
              a very thin wrapper around the SCons software construction tool.
              It also contains many useful frameworks and utilities to simplify
              application development, including tools for regression testing,
              parallelization across multiprocessor systems and managed clusters,
              and a flexible, modular configuration syntax called PHIL
              (Python Hierarchial Interface Language) used throughout the CCTBX.
    - mmtbx: Functionality specific to macromolecular crystallography.
             This includes all of the machinery required for setup of
             geometry restraints, bulk solvent correction and scaling,
             analysis of macromolecular diffraction data, calculation of
             weighted map coefficients, and most of the methods implemented
             in phenix.refine. The majority of infrastructure for the MolProbity
             validation server (and Phenix equivalent) is also located here.
    - omptbx: OpenMP interface.
    - rstbx: A reciprocal space toolbox to autoindex small molecule Bragg
             diffraction, given the reciprocal space vectors.
    - scitbx: General scientific calculations. his includes a family of
      high-level C++ array types, a fast Fourier transform library,
      and a C++ port of the popular L-BFGS quasi-Newton minimizer.
    - smtbx: Small-Molecule crystallography.
    - spotfinder:
    - tbxx:
    - wxtbx: wxPython controls used in the Phenix GUI and various
        utilities
 .
 This package provide everythings needed to link against the cctbx libraries.

Package: python3-cctbx
Architecture: amd64 arm64 armel armhf i386 ppc64 ppc64el riscv64 s390x
Section: python
Depends:
 ca-certificates,
 libcctbx-dev (= ${binary:Version}),
 libcctbx0 (= ${binary:Version}),
 python3-pycbf (>= 0.9.7+dfsg1-2~),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Python Toolbox for crystallography
 Computational Crystallography Toolbox contains following modules:
    - annlib_adaptbx:
    - boost_adaptbx: wrappers for Boost functionality in CCTBX
    - cbflib_adaptbx:
    - ccp4io_adaptbx:
    - cctbx: Libraries for general crystallographic applications,
             useful for both small-molecule and macro-molecular
             crystallography.
    - cma_es:
    - crys3d: Modules for the display of molecules, electron density,
              and reciprocal space data.
    - dxtbx: The Diffraction Image Toolbox, a library for handling
             X-ray detector data of arbitrary complexity from a variety
             of standard formats.
    - fable: Fortran EMulation library  for porting Fortran77 to C++.
    - gltbx: Python bindings for OpenGL
    - iotbx: Working with common crystallographic file formats.
    - libtbx: The build system common to all other modules. This includes
              a very thin wrapper around the SCons software construction tool.
              It also contains many useful frameworks and utilities to simplify
              application development, including tools for regression testing,
              parallelization across multiprocessor systems and managed clusters,
              and a flexible, modular configuration syntax called PHIL
              (Python Hierarchial Interface Language) used throughout the CCTBX.
    - mmtbx: Functionality specific to macromolecular crystallography.
             This includes all of the machinery required for setup of
             geometry restraints, bulk solvent correction and scaling,
             analysis of macromolecular diffraction data, calculation of
             weighted map coefficients, and most of the methods implemented
             in phenix.refine. The majority of infrastructure for the MolProbity
             validation server (and Phenix equivalent) is also located here.
    - omptbx: OpenMP interface.
    - rstbx: A reciprocal space toolbox to autoindex small molecule Bragg
             diffraction, given the reciprocal space vectors.
    - scitbx: General scientific calculations. his includes a family of
      high-level C++ array types, a fast Fourier transform library,
      and a C++ port of the popular L-BFGS quasi-Newton minimizer.
    - smtbx: Small-Molecule crystallography.
    - spotfinder:
    - tbxx:
    - wxtbx: wxPython controls used in the Phenix GUI and various
        utilities
 .
 This package provide a selected collection of python modules from the cctbx project.
